Subject: Problems with libtiff!
From: Ulrich Koehler <[email-masked]>
To: [email-masked]
Date: Fri, 18 Jun 1999 14:12:40 +0200

Hello,

I browsed through the archives and there should be
no problems at all, but...

libtiff v3.4beta037 + cygwin B20.1

% sh configure --target=i586
% make

compiles without any errors on Win95b, AMD-K6-2.

execution problems:

tools/tiffdump.exe - works ok
tools/tiff2ps.exe  - does not work, probs with strip-size
tools/thumbnail.exe - does not work,
  the thumbnail image is 8 byte in size (just the header)
  I guess libtiff is unable to read my greyscale image
  which I created with libtiff on a UNIX-system.
  (the images is ok, a hex-dump shows this)
and so on...

If I save images with my own program via libtiff
(on UNIX everything works well) the TIFF-images
are corrupt. The hex dump of the image shows:
- byte ordering and the first 4 bytes (0..3) of the header
  seem to be ok.
- the pointer to the first IFD (Byte 4..7) misses the real IFD
  by one byte. If I fix this manually the image is recognized
  by other programs (type, size etc. are correct) but the data
  is still corrupt.
???

Does anybody got a _working_ libtiff on Win95?

Bye
Ulrich Koehler

--
Want to unsubscribe from this list?
Send a message to [email-masked]